<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
* @edited by: Abdusamad Dilmurodov   (Ulty)
* @e-mail: samad.d@mail.ru
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));

require_once ROOT . '/system/init.php'; // инициализация ядра
if($is_user) {
redir (HOST);
}
page_head('Регистрация'); // название страницы
if(isset($_GET['ref_id']) && DB :: run() -> querySingle("SELECT count(*) FROM `users` WHERE `id` = ?", array(floatval($_GET['ref_id'])))==1) { $_SESSION['ref'] = floatval($_GET['ref_id']); } else { $_SESSION['ref'] = 0; }

if(isset($_POST['login'], $_POST['password'], $_POST['email'], $_POST['captcha'])) {
$captcha = protect($_POST['captcha']);
$wmr = floatval($_POST['wmr']);
$email = protect($_POST['email']);
$password = protect($_POST['password']);
$login = protect($_POST['login']);

    if(empty($login))
    $error = 'Пожалуйста, укажите ваш ник.';
    
    elseif(strlenx($login) < 3 || strlenx($login) > 32)
	$error = 'Количество символов в логине может быть от 3 до 32.';
	
    elseif(empty($password))
	$error = 'Пожалуйста, укажите ваш пароль.';

    elseif(strlenx($password) < 6 || strlenx($password) > 32)
	$error = 'Количество символов в пароле может быть от 6 до 32.';

	elseif($password == $login)
	$error = 'Логин не может быть таким же как пароль.';
	
	elseif(empty($captcha))
	$error = 'Введите код с картинки.';
	
	elseif(empty($_SESSION['captcha']))
	$error = 'Ошибка в сессиях.';
	
	elseif(!preg_match('#^[a-z0-9\-\._]+\@([a-z0-9-_]+\.)+([a-z0-9]{2,10})\.?$#ui', $email))
	$error = 'Неправильно введен e-mail.';
	elseif(empty($wmr))
	$error = 'Пожалуйста, укажите свой WMR-кошелек';
	
	elseif(strlenx($wmr) > 12 || strlenx($wmr) < 12)
	$error = 'В поле "WMR-кошелек" должно быть 12 символов.';
	
	elseif($_SESSION['captcha'] != $captcha)
    $error = 'Код с картинки введен неверно.';

	else {
	$quelogin = DB :: run() -> querySingle("SELECT `id` FROM `users` WHERE lower(`login`)=? LIMIT 1;", array(strtolower($login)));
if(!empty($quelogin)) {
	$error = 'Этот логин уже занят, выберите другой.';
	} else {
	$quemail = DB :: run() -> querySingle("SELECT `id` FROM `users` WHERE lower(`email`)=? LIMIT 1;", array(strtolower($email)));
	if(!empty($quemail)) {
	$error = 'Введенный e-mail уже привязан к другому аккаунту.';
	}else {

 // отсылаем письмо
        $subject = 'Регистрация';
		$regmail = "Здравствуйте, ".$login."!<br />\r\nВаши данные для входа в партнерскую программу;<br />\r\nЛогин: ".$login."<br />\r\nПароль: ".$password."<br />\r\n<br />
		\r\nС уважением, Администрация партнерской программы http://clik.online<br />\r\nЭто системное сообщение, на него не нужно отвечать.<br />\r\n";
		$adds = "From: <$set[reg_mail]>\n";
		$adds .= "X-sender: <$set[reg_mail]>\n";
		$adds .= "Content-Type: text/html; charset=utf-8\n";
    $subject = '=?utf-8?B?' . base64_encode($subject) . '?='; //subj encoding trouble!
		@mail($email,$subject,$regmail,$adds);

	 $is_admin = DB :: run() -> querySingle("SELECT count(*) FROM `users`");
	 $set_admin = $is_admin == 0 ? 1 : 0;
     DB :: run() -> query ('INSERT INTO `users` SET `login` = ?, `password` = ?, `email` = ?, `wmr` = ?, `reg_time` = ?, `last_time` = ?, `ip` = ?, `ua` = ?, `admin` = ?;', 
	 array($login, md5_hash($password), $email, $wmr, TIME, TIME, $ip, $ua, $set_admin) );	 
		 if($_SESSION['ref'] != 0) {
     $us = DB :: run() -> queryFetch('select login,id from users order by id desc limit 1');
	 DB :: run() -> query ('INSERT INTO `referals` SET `user_id` = ?, `ref` = ?;', 
	 array($_SESSION['ref'], $us['login']));	
	  DB :: run() -> query ('UPDATE `users` SET `referals` =`referals`+1 WHERE id = ?;', 
	 array($us['id']));	 
	 }
	setcookie('login', $login, TIME+3600*24*365, '/');
	setcookie('password', $password, TIME+3600*24*365, '/');
 redir (HOST);
}}
}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
echo '<div class="menu_enter">
<form action="" method="POST">
Как Вас зовут?<br />
<input name="name" type="text" /><br />
Ваш e-mail:<br />
<input name="email" type="text" /><br />
Пароль:<br />
<input name="password" type="text"/><br />
Повторите пароль:<br />
<input name="second_password" type="text"/><br />
WMR кошелек для выплат:<br />
<input name="wmr" type="text" value="R"/><br />
<img id="captcha" class="captchacode" src="/secure/'.mt_rand(1000,9999).'.jpg" alt="captcha" /><br />
<a href="#" onclick="document.getElementById(\'captcha\').src = \'/secure/\' + 1 + Math.round(Math.random()*(9999-1000)) + \'.jpg\' ">обновить изображение</a><br />
Символы с картинки выше:<br />
<input name="captcha" type="text"/><br />
<input name="submit" type="submit" value="Зарегистрироваться" />
</form>
</div>';
<div class="menu">
<a href="'.HOST.'/page/rules/"><b>Правила партнерской программы</b></a><br />
<a href="'.HOST.'/recovery/">Восстановление пароля</a></div>
';
 echo '<div class="menu"><a href="'.HOST.'/">На главную</a></div>';
page_foot(); // низ сайта
?>